﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Devart.Data.MySql;

namespace _02_DemoMySQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            MySqlConnection maConnection = new MySqlConnection(
                Properties.Settings.Default.demovs2008ConnectionString
                );

            maConnection.Open();

            MySqlCommand maCommand = maConnection.CreateCommand();
            maCommand.CommandType = CommandType.Text;
            maCommand.CommandText = "Select Produit_ID, Produit_Nom From demovs2008.produit Where Produit_Prix >= @PrixMini And Produit_Prix <= @PrixMaxi Order By Produit_Nom";

            MySqlParameter prixMini = new MySqlParameter("@PrixMini", MySqlType.Decimal);
            prixMini.Value = decimal.Parse(textBox1.Text);
            maCommand.Parameters.Add(prixMini);

            MySqlParameter prixMaxi = new MySqlParameter("@PrixMaxi", MySqlType.Decimal);
            prixMaxi.Value = decimal.Parse(textBox2.Text);
            maCommand.Parameters.Add(prixMaxi);

            MySqlDataAdapter monAdapter = new MySqlDataAdapter(maCommand);
            DataTable maDataTable = new DataTable("LesProduits");

            monAdapter.Fill(maDataTable);

            maConnection.Close();

            listBox1.DataSource = maDataTable;
            listBox1.DisplayMember = "Produit_Nom";
        }
    }
}
